Skip to main content
GET
/
api
/
scans
/
{scan_id}
/
representation
Get Scan Representation
curl --request GET \
  --url https://api.example.com/api/scans/{scan_id}/representation \
  --header 'Authorization: Bearer <token>'
{
  "scan_id": "<string>",
  "dataset_id": "<string>",
  "classes": [
    "<string>"
  ],
  "issue_types": [
    "<string>"
  ],
  "points": [
    {
      "id": "<string>",
      "filepath": "<string>",
      "x": 123,
      "y": 123,
      "given_label": "<string>",
      "predicted_label": "<string>",
      "score": 123,
      "issue_type": "<string>",
      "issue_label": "<string>",
      "is_issue": false,
      "preview_url": "<string>"
    }
  ],
  "default_view": "explainer",
  "views": {},
  "metadata": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

scan_id
string
required

Cookies

antidote_session
string | null

Response

Successful Response

scan_id
string
required
dataset_id
string | null
classes
string[]
issue_types
string[]
points
RepresentationPoint · object[]
default_view
string
default:explainer
views
Views · object
metadata
Metadata · object